# Bugspray

A simple issue tracking app written entirely in Rust.

To build locally, you need to install the latest nightly Rust, and you need to add the `wasm32-unkown-unknown` target:
```sh
rustup override set nightly
rustup target add wasm32-unknown-unknown
```

Then, simply run `./build.sh` and then run the compiled executable.

Make sure to set the BUGSPRAY_DB environment variable so that bugspray can populate your database.

TODO:
- [x] User registration
- [x] User login
- [x] Navbar
- [x] Link issues to users
- [ ] Make a rust-toolchain.toml
- [ ] Comments
- [ ] Open/Close issues
